/*
 * ----------------------------------------------------------------------------
 * $Id: cookie.js,v 1.1 2008/04/02 18:15:49 stephan Exp $
 * ----------------------------------------------------------------------------
 * $Log: cookie.js,v $
 * Revision 1.1  2008/04/02 18:15:49  stephan
 * Initial revision
 *
 * ----------------------------------------------------------------------------
 */

function setCookie(name, value, expires, path, domain, secure ) 
{
	var now = new Date();
	now.setTime(now.getTime());

	if(expires)
		expires = expires * 86400000; // 1000 * 60 * 60 * 24

	var expireDate = new Date(now.getTime() + expires);

	var value = name + "=" + escape(value) 
		+ (expires ? ";expires=" + expireDate.toGMTString() : "")
		+ (path    ? ";path=" + path : "")
		+ (domain  ? ";domain=" + domain : "")
		+ (secure  ? ";secure" : "");

	document.cookie = value;
}
			

function getCookie(name) 
{
	var cookies = document.cookie.replace(/^\s+|\s+$/g, '');
	var cookies = cookies.split(';');

	for(var i = 0; i < cookies.length; i++)
	{
		var cookie = cookies[i].split('=');
		
		if(cookie.length > 0 
		&& cookie[0].replace(/^\s+|\s+$/g, '') == name )
			return cookie.length > 1 ? unescape(cookie[1]) : '';
	}
	return null;
}				
				
function delCookie(name, path, domain) 
{
	if(getCookie(name)) 
		setCookie(name, "", -365, path, domain);
}
	
